OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OpenMesh::OMTriIterator< VectorT > Class Template Reference

`#include <OMTriIterator.h>`

Inheritance diagram for OpenMesh::OMTriIterator< VectorT >:

## Classes
struct | SDataMembers

## Public Member Functions
| OMTriIterator (VectorT *vertices)
| ~OMTriIterator ()
mds::tSize | getX () const
mds::tSize | getY () const
bool | isEnd () const
void | advance ()

## Protected Member Functions
bool | isInner ()
void | init (VectorT *vertices)
void | next ()

## Protected Attributes
SDataMembers | m_Impl

## Detailed Description

### template<class VectorT>
class OpenMesh::OMTriIterator< VectorT >

Iterator used to traverse pixels inside a triangle.

## Constructor & Destructor Documentation

template<class VectorT>

OpenMesh::OMTriIterator< VectorT >::OMTriIterator | ( | VectorT * | vertices | ) |
| inline

Constructor

Parameters

  VectorT[3] | array of triangle vertices

template<class VectorT>

OpenMesh::OMTriIterator< VectorT >::~OMTriIterator | ( |  | ) |
| inline

Destructor

## Member Function Documentation

template<class VectorT>

void OpenMesh::OMTriIterator< VectorT >::advance | ( |  | ) |
| inline

Moves iterator to the next triangle pixel

template<class VectorT>

mds::tSize OpenMesh::OMTriIterator< VectorT >::getX | ( |  | ) | const
| inline

Returns current iterator X position

Returns
  X Position

template<class VectorT>

mds::tSize OpenMesh::OMTriIterator< VectorT >::getY | ( |  | ) | const
| inline

Returns current iterator Y position

Returns
  Y Position

template<class VectorT>

void OpenMesh::OMTriIterator< VectorT >::init | ( | VectorT * | vertices | ) |
| inline protected

Initializes the triangle iterator

template<class VectorT>

bool OpenMesh::OMTriIterator< VectorT >::isEnd | ( |  | ) | const
| inline

Control if iterator is still valid

Returns
  True if iterator points after the last triangle pixel

template<class VectorT>

bool OpenMesh::OMTriIterator< VectorT >::isInner | ( |  | ) |
| inline protected

Returns true if the current pixel is inside the triangle

template<class VectorT>

void OpenMesh::OMTriIterator< VectorT >::next | ( |  | ) |
| inline protected

Moves iterator to the next pixel

## Member Data Documentation

template<class VectorT>

SDataMembers OpenMesh::OMTriIterator< VectorT >::m_Impl
| protected

Data members

The documentation for this class was generated from the following file:

- trunk/include/OMToolkit/OMTriIterator.h